## rust-nethsm-sdk-rs 3.0.0

=== Makefile ===
nethsm-api.yaml:
	curl "https://nethsmdemo.nitrokey.com/api_docs/nethsm-api.yaml" --output nethsm-api.yaml

=== debian/changelog ===
rust-nethsm-sdk-rs (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Package nethsm-sdk-rs 3.0.0 from crates.io using debcargo 2.8.1
  * Upload to unstable.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 19 Feb 2026 21:55:33 +0100

rust-nethsm-sdk-rs (3.0.0-1) experimental; urgency=medium

  * Package nethsm-sdk-rs 3.0.0 from crates.io using debcargo 2.7.10

 -- Tobias Deiminger <tobias.deiminger@posteo.de>  Tue, 17 Feb 2026 18:44:36 +0100

=== debian/control ===
Source: rust-nethsm-sdk-rs
Section: rust
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-base64-0.22+alloc-dev <!nocheck>,
 librust-http-1+default-dev <!nocheck>,
 librust-mime-0.3+default-dev <!nocheck>,
 librust-multipart-0.18+client-dev <!nocheck>,
 librust-serde-1-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-serde-json-1-dev <!nocheck>,
 librust-ureq-3+json-dev (>= 3.0.3) <!nocheck>,
 librust-ureq-3+rustls-dev (>= 3.0.3) <!nocheck>,
 librust-url-2+default-dev (>= 2.2) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Tobias Deiminger <tobias.deiminger@posteo.de>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/nethsm-sdk-rs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/nethsm-sdk-rs
Homepage: https://www.nitrokey.com/products/nethsm
X-Cargo-Crate: nethsm-sdk-rs
X-Cargo-Crate-Version: 3.0.0

Package: librust-nethsm-sdk-rs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-base64-0.22+alloc-dev,
 librust-http-1+default-dev,
 librust-mime-0.3+default-dev,
 librust-multipart-0.18+client-dev,
 librust-serde-1-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1-dev,
 librust-ureq-3+json-dev (>= 3.0.3),
 librust-ureq-3+rustls-dev (>= 3.0.3),
 librust-url-2+default-dev (>= 2.2)
Provides:
 librust-nethsm-sdk-rs+default-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3+default-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3.0-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3.0+default-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3.0.0-dev (= ${binary:Version}),
 librust-nethsm-sdk-rs-3.0.0+default-dev (= ${binary:Version})
Description: Rust SDK to communicate with Nitrokey NetHSM - Rust source code
 Source code for Debianized Rust crate "nethsm-sdk-rs"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test nethsm-sdk-rs 3.0.0 --all-targets --all-features
Features: test-name=rust-nethsm-sdk-rs:@
Depends: dh-cargo (>= 33~), rustc, librust-chrono-0.4+default-dev (>= 0.4.38), librust-env-logger-0.11+default-dev (>= 0.11.3), librust-tokio-1+default-dev (>= 1.37.0), librust-tokio-1+macros-dev (>= 1.37.0), librust-tokio-1+rt-dev (>= 1.37.0), librust-ureq-3+default-dev (>= 3.0.3), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test nethsm-sdk-rs 3.0.0 --all-targets
Features: test-name=librust-nethsm-sdk-rs-dev:default
Depends: dh-cargo (>= 33~), rustc, librust-chrono-0.4+default-dev (>= 0.4.38), librust-env-logger-0.11+default-dev (>= 0.11.3), librust-tokio-1+default-dev (>= 1.37.0), librust-tokio-1+macros-dev (>= 1.37.0), librust-tokio-1+rt-dev (>= 1.37.0), librust-ureq-3+default-dev (>= 3.0.3), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test nethsm-sdk-rs 3.0.0 --all-targets --no-default-features
Features: test-name=librust-nethsm-sdk-rs-dev:
Depends: dh-cargo (>= 33~), rustc, librust-chrono-0.4+default-dev (>= 0.4.38), librust-env-logger-0.11+default-dev (>= 0.11.3), librust-tokio-1+default-dev (>= 1.37.0), librust-tokio-1+macros-dev (>= 1.37.0), librust-tokio-1+rt-dev (>= 1.37.0), librust-ureq-3+default-dev (>= 3.0.3), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/nethsm-sdk-rs
Matching-Pattern:  .*/crates/nethsm-sdk-rs/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/nethsm-sdk-rs-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Dversionmangle: s/@DEB_EXT@//g
Compression: gzip
